From b7f1151fc6934c17e5b40e0bea5c1eb511c41a84 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 3 Apr 2024 13:38:28 +0800
Subject: [PATCH] Avoid a need for Conan

---
 CMakeLists.txt | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git CMakeLists.txt CMakeLists.txt
index 8965df0..8fb7f91 100755
--- CMakeLists.txt
+++ CMakeLists.txt
@@ -23,15 +23,14 @@ include(CheckIncludeFile)
 project(xdispatch2)
 include(CTest)
 
+set(MZ_DIR @PREFIX@/share/mz-cmaketools)
+
 # build scripts
-if(NOT HAS_MZ_GLOBAL)
-    include(build/global.cmake)
-    include(build/macros.cmake)
-    include(build/conan.cmake)
-endif()
+include(${MZ_DIR}/global.cmake)
+include(${MZ_DIR}/macros.cmake)
 
 # enable linting
-include(build/linting.cmake)
+include(${MZ_DIR}/linting.cmake)
 
 # check for platform features
 check_symbol_exists( dispatch_queue_create "dispatch/dispatch.h" XDISPATCH2_HAVE_LIBDISPATCH_NATIVE )
@@ -76,14 +75,15 @@ endif()
 
 
 # configuration and version information
-include(build/semver.cmake)
-mz_determine_sem_ver(PREFIX "XDISPATCH2")
+# include(${MZ_DIR}/semver.cmake)
+# mz_determine_sem_ver(PREFIX "XDISPATCH2")
+set(XDISPATCH2_VERSION "@VERSION@")
 mz_message("xdispatch version ${XDISPATCH2_VERSION}")
 
 
 # dependencies
 if( BUILD_XDISPATCH2_BACKEND_QT5 )
-    include(build/qt5.cmake)
+    include(${MZ_DIR}/qt5.cmake)
 endif()
 
 # we hide all unneeded symbols
